package com.hzya.frame.plugin.lets.plugin.purchase;

import com.hzya.frame.WebappApplication;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

/**
 * @Author：liuyang
 * @Package：com.hzya.frame.plugin.lets.plugin.purchase
 * @Project：kangarooDataCenterV3
 * @name：ProxyPurchaseWarehousTest
 * @Date：2024/8/20 11:05
 * @Filename：ProxyPurchaseWarehousTest
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = WebappApplication.class)
public class ProxyPurchaseWarehousTest {

    @Autowired
    private ProxyPurchaseWarehousWarehouse proxyPurchaseWarehous;

    @Test
    public void startImplement() {
        try {
            proxyPurchaseWarehous.startImplement("LETS-RE2024082100000013");
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Test
    public void startImplement2() {
        try {
            //2024年8月20日 16:17:24 测试查询OFS采购订单
//            proxyPurchaseWarehous.queryOfsPoOrder("LETS-PO2024081400000002");
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}